Bug 427675 - NetworkManager doesn't always provide default route
NetworkManager doesn't always provide default route
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
8
i386 Linux
low Severity high
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-06 11:18 EST by Ryan Daly
Modified: 2009-01-09 00:42 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:42:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log of F10 NM failing to set *any* route after getting ip via dhcp (5.92 KB, text/plain)
2008-12-02 23:33 EST, Charlie Moschel
no flags Details

  None (edit)
Description Ryan Daly 2008-01-06 11:18:06 EST
Description of problem:
NetworkManager doesn't always assign a default route.


Version-Release number of selected component (if applicable):
NetworkManager-0.7.0-0.6.6.svn3109.fc8


How reproducible:
Every time.


Steps to Reproduce:
1. Select wired network.
2. Check default route...there is none.
3. Select wireless network.
4. Check default route...it's set properly.
5. Go back to wired network, default route is not set properly.
  
Expected results:
Expect to have default route set each time.


Additional info:
I see the following running:

/sbin/dhclient -d -sf /usr/libexec/nm-dhcp-client.action -pf
/var/run/dhclient-eth0.pid -lf /var/run/dhclient-eth0.lease eth0

If I run this exact command on the command line, I do not get a default route. 
If I modify the command to remove '-sf /usr/libexec/nm-dhcp-client.action', I
then get a default route properly set.
Comment 1 Dan Williams 2008-04-10 17:55:20 EDT
Can you update to the latest version of NetworkManager in f8-updates and then
try to reproduce the issue?  If it fails again, please include the relevant bits
of /var/log/messages where NM is connecting and prints out the options returned
by the DHCP server.  Thanks!
Comment 2 Ryan Daly 2008-04-11 09:09:35 EDT
I have been running RHEL 5.1 on my laptop and things appear to be working just
fine.  This must have been resolved.  Thanks for the follow-up.
Comment 3 Bug Zapper 2008-11-26 04:18:37 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Charlie Moschel 2008-12-02 23:33:13 EST
Created attachment 325480 [details]
log of F10 NM failing to set *any* route after getting ip via dhcp

I found a very similar problem with a new F10 install.  In my case, NM got an ip address from an open access point, but failed to set *any* routes.  Manually adding two routes (one for the AP on wlan0, a second for a default route w/ AP as gateway) worked around the problem.  Wired eth0 was not in use at the time.

The AP in question was at a hotel, where you first had to click-through the agreement to get outside net access.  The laptop is a Dell 630 with Intel iwl3945 and NetworkManager-0.7.0-0.11.svn4229.fc10.x86_64

Most interesting log entry:
Dec  1 11:26:17 localhost NetworkManager: <WARN>  nm_system_replace_default_ip4_route(): Failed to set IPv4 default route on 'wlan0': Sucess#012

Attachment is an info-level log file showing this.

Sorry I have no way to reproduce this.  Normally NM works great for my laptop, and the hotel that triggered it is 1300km away, but this looked like a useful place to dump the info for future reference.
Comment 5 Bug Zapper 2009-01-09 00:42:47 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.